English

How To: Ensure compliance between ESRI's ArcGIS 9.x Desktop and Leica's LPS 8.7

Summary

Instructions provided describe how to ensure compliance between ESRI's ArcGIS 9.x Desktop and Leica's LPS 8.7. The recent releases of ArcGIS 9.x Desktop; including ArcView, ArcEditor, or ArcInfo licenses, and Leica Photogrammetry Suite (LPS) 8.7 contain some shared libraries which work together if the products are installed in the correct sequence. If ArcGIS 9.x Desktop and any of its Service Packs are installed onto the machine first, followed by the LPS 8.7 and its Service Pack 1, there are no problems of compatibility. However, deviating from that order makes the products incompatible.

Users who have experienced any of the following incompatibilities should follow the procedure below.

- ArcGIS 9.x does not recognize raster data.
- ArcGIS 9.x licensing has been modified incorrectly.
- Attempting to start LPS 8.7 generates an error stating that it needs repairing.

Note:
Installing LPS 8.7 and an ArcGIS 9.x Server or Engine product to the same machine is not supported at this time. Leica and ESRI are working toward a solution for delivery as soon as possible. Return to either company's Web site for updated information.

Procedure

For most users the first solution, below, resolves this issue. If the solution does not resolve the issue, use the second procedure to resolve the issue.

  • Download, install, and run the Leica Geographic Imaging Objects (GIO) Application Repair Utility that is available from the link found in this article's Related Information section.
  • 1. Completely uninstall both products.

    2. Install ArcGIS 9.x Desktop and verify it runs and displays raster data; for example, use ArcMap to view sample raster data.

    3. Download and install any relevant ArcGIS 9.x Service Pack by way of the Related Information section below.

    4. Install LPS 8.7 and verify it runs successfully.

    5. Download and install LPS 8.7 Service Pack 1 by way of the Related Information section below.

    A. Select 'Fixes' for type of download.

    B. Select LPS 8.7 as the Product and click the Locate button. SP1 is second from last in the list.

    D. Download the fix and release notes.



    The system is now ready and both products should function properly.

    Note:
    If problems still occur using these two products on the same machine, contact ESRI Support or Leica Geosystems Support.

Related Information